/*
 * @Author: wjc
 * @Date: 2021-09-15 17:46:28
 * @LastEditors: wjc
 * @LastEditTime: 2021-09-17 14:39:20
 * @Description: wisdom ui 组件
 */

export const wFormComponents = [
  {
    // 组件的自定义配置
    __config__: {
      label: '单行文本',
      labelWidth: null,
      showLabel: true,
      changeTag: true,
      tag: 'el-input',
      tagIcon: 'input',
      defaultValue: undefined,
      required: true,
      layout: 'colFormItem',
      span: 24,
      // 正则校验规则
      regList: []
    },
    // 组件的插槽属性
    __slot__: {
      prepend: '',
      append: ''
    },
    // 其余的为可直接写在组件标签上的属性
    placeholder: '请输入',
    style: { width: '100%' },
    clearable: true,
    'prefix-icon': '',
    'suffix-icon': '',
    maxlength: null,
    'show-word-limit': false,
    readonly: false,
    disabled: false
  }
]

export const wLayoutComponents = [
  {
    // 组件的自定义配置
    __config__: {
      label: '页头',
      tag: 'w-header',
      tagIcon: 'wheader',
      layout: 'auto',
      span: 24
    },
    // 组件的插槽属性
    __slot__: {
      right: ''
    },
    // 其余的为可直接写在组件标签上的属性
    desc: '描述文字', // 描述
    back: () => {}
  }
]
